org.apache.fop.render.extensions.prepress

## Class PageScale

- java.lang.Object
- - org.apache.fop.render.extensions.prepress.PageScale

-     public final class PageScale
      extends Object

  This class provides utility methods to parse the 'fox:scale' extension attribute.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static org.apache.xmlgraphics.util.QName` | `EXT_PAGE_SCALE` The extension 'scale' attribute for the simple-page-master element.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Point2D` | `getScale(String scale)` Compute scale parameters from given fox:scale attribute which has the format: scaleX [scaleY] If scaleY is not defined, it equals scaleX.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### EXT_PAGE_SCALE

          public static final org.apache.xmlgraphics.util.QName EXT_PAGE_SCALE

      The extension 'scale' attribute for the simple-page-master element.

  - ### Method Detail

    - #### getScale

          public static Point2D getScale(String scale)

      Compute scale parameters from given fox:scale attribute which has the format: scaleX [scaleY] If scaleY is not defined, it equals scaleX.
      Parameters:
        `scale` - scale attribute, input format: scaleX [scaleY]
      Returns:
        the pair of (sx, sy) values

Copyright © 2023 Apache Software Foundation. All rights reserved.